> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/node/node-info.md).

# Node info

This endpoint retrieves node info for a given node public key.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/node/{NODE_PUBLIC_KEY}
```

{% endtab %}
{% endtabs %}

## Examples

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/node/n9L4vDaq7Cfv2g5MEU3JwL3mMDeFygwXkN8wLKQRSoyFSGXX941r
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
{
  "public_key": "n9L4vDaq7Cfv2g5MEU3JwL3mMDeFygwXkN8wLKQRSoyFSGXX941r",
  "asn": "0",
  "complete_ledgers": "81520411-81520923",
  "ip": "0",
  "last_seen": "2023-07-31T11:55:14.000Z",
  "last_seen_unix": 1690804514,
  "server_version": "1.11.0",
  "version": "rippled-1.11.0"
}
```

{% endtab %}
{% endtabs %}
